Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.util
Interface Validatable

All Known Implementing Classes:
  AbstractValidatableComponent, ButtonConfigurationPanel, ConfigureProjectPanel, ConfigureProtegePropertiesPanel, DatabaseKnowledgeBaseSourcesEditor, FileSourcesPanel, FileSourcesPanel, FormWidgetConfigurationLayoutTab, FormWidgetConfigurationPanel, FormWidgetConfigurationWidgetsTab, GeneralPreferencesPanel, GeneralWidgetConfigurationPanel, KAToolTabConfigurationPanel, KnowledgeBaseSourcesEditor, PreferencesPanel, ReadOnlyWidgetConfigurationPanel, RegisterUserServerPanel, SelectClsesPanel, ServerPanel, ValidatableTabComponent, WidgetConfigurationPanel

    public interface Validatable

An interface that allows the implementer to veto a change or to record whatever is necessary when a save succeeds.

Author:
  Ray Fergerson

Method Summary
`void` | `saveContents()` Save the contents of the current fields of this component to the underlying data structure.
`boolean` | `validateContents()` Check whether the current values of the fields in this component are valid.

Method Detail

### saveContents

    void saveContents()

  Save the contents of the current fields of this component to the underlying data structure. This method is called only after validateContents() has returned true for this object and, possibly, for other objects.

### validateContents

    boolean validateContents()

  Check whether the current values of the fields in this component are valid. If they are, return true. If not, prompt the user with a dialog explaining the problem and return false.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.